classification
Title: Update bundled pip to 21.1.1
Type: Stage: resolved
Components: Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, sbidoul
Priority: normal Keywords: patch

Created on 2021-04-30 18:55 by sbidoul, last changed 2021-05-02 10:33 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25761 merged sbidoul, 2021-04-30 19:22
PR 25782 merged sbidoul, 2021-05-01 14:44
PR 25783 merged sbidoul, 2021-05-01 14:46
Messages (4)
msg392502 - (view) Author: Stéphane Bidoul (sbidoul) * Date: 2021-04-30 18:59
This is to update the bundled pip to 21.1.1.

Compared to 21.1, it includes a fix that suppresses a noisy message when distutils and sysconfig schemes do not match. 

I link this issue to 3.9 and 3.8 as well, as it could be nice to include it in the release for a better user experience, if we are not too close to the release deadline.
msg392575 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2021-05-01 09:15
New changeset bf99b7151663905fd5e71efe45184dc8fffc3236 by Stéphane Bidoul in branch 'master':
bpo-43993: Update vendored pip to 21.1.1 (GH-25761)
https://github.com/python/cpython/commit/bf99b7151663905fd5e71efe45184dc8fffc3236
msg392600 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2021-05-01 15:49
New changeset af1e06c62f3958082c4b409e771f291d12479b3d by Stéphane Bidoul in branch '3.9':
[3.9] bpo-43993: Update vendored pip to 21.1.1 (GH-25761). (GH-25782)
https://github.com/python/cpython/commit/af1e06c62f3958082c4b409e771f291d12479b3d
msg392601 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2021-05-01 15:50
New changeset 6034c4aa58fe7257d39b53c77944393700c66396 by Stéphane Bidoul in branch '3.8':
[3.8] bpo-43993: Update vendored pip to 21.1.1 (GH-25761). (GH-25783)
https://github.com/python/cpython/commit/6034c4aa58fe7257d39b53c77944393700c66396
History
Date User Action Args
2021-05-02 10:33:29lukasz.langasetresolution: fixed
2021-05-01 16:06:10sbidoulsetstatus: open -> closed
stage: patch review -> resolved
2021-05-01 15:50:14paul.mooresetmessages: + msg392601
2021-05-01 15:49:41paul.mooresetmessages: + msg392600
2021-05-01 14:46:05sbidoulsetpull_requests: + pull_request24474
2021-05-01 14:44:37sbidoulsetpull_requests: + pull_request24473
2021-05-01 09:15:23paul.mooresetnosy: + paul.moore
messages: + msg392575
2021-04-30 19:22:21sbidoulsetkeywords: + patch
stage: patch review
pull_requests: + pull_request24452
2021-04-30 18:59:48sbidoulsetversions: + Python 3.8, Python 3.9, Python 3.10
messages: + msg392502
title: Upda -> Update bundled pip to 21.1.1
2021-04-30 18:55:41sbidoulcreate